#include <bits/stdc++.h>
#define endl '\n'
using namespace std;
long long n, a[100003];
bool check(){

    for(int i=2;i<n;i++){
        if(a[i]*2>a[i-1]+a[i+1])return 0;
    }
    return true;

}

void solve(){
    cin >> n;
    for(int i=1;i<=n;i++)cin >> a[i];
    for(int i=1;i<=n*n*n*n*n*n;i++){
        next_permutation(a+1,a+1+n);
        if(check()){cout << "YES" << endl;return;}
    }
    cout << "NO" << endl;
}
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    cout.tie(0);
    int t;

    cin >> t;
    while(t--){
        solve();
    }
}
